routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::prefix('admin')->name('admin.')->group(function () {
    Route::get('/', [\App\Http\Controllers\Admin\AdminArticleController::class, 'index'])->name('home');
    Route::resource('articles', \App\Http\Controllers\Admin\AdminArticleController::class)->except('index', 'create', 'store', 'show');
    Route::resource('comments', \App\Http\Controllers\Admin\AdminCommentController::class)->except('create', 'store', 'show');
});

Route::get('/', [\App\Http\Controllers\ArticleController::class, 'index']);
Route::get('/users/{user}', [\App\Http\Controllers\UserController::class, 'show'])->name('profile');
Route::resource('articles', \App\Http\Controllers\ArticleController::class)->except('index');
Route::post('categoryFilter', [\App\Http\Controllers\ArticleController::class, 'filter'])->name('filter');
Route::patch('articleRate', [\App\Http\Controllers\ArticleController::class, 'rate'])->name('rate');
Route::resource('comments', \App\Http\Controllers\CommentsController::class)->except('index', 'create', 'show');
Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

app/Models/Comment.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Comment extends Model
{
    use HasFactory;

    protected $fillable = [
        'body',
        'user_id',
        'article_id',
        'is_approved_status'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function article()
    {
        return $this->belongsTo(Article::class);
    }
}

app/Http/Controllers/CommentsController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CommentStoreRequest;
use App\Models\Comment;
use Illuminate\Http\Request;

class CommentsController extends Controller
{

    /**
     * Store a newly created resource in storage.
     */
    public function store(CommentStoreRequest $request)
    {
        $validated = $request->validated();
        $comment = new Comment($validated);
        $comment->save();
        return redirect()->back()->with('status', 'Комментарий будет опубликован после одобрения администрации');
    }

    public function edit(Comment $comment)
    {
        return view('comments.edit', compact('comment'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(CommentStoreRequest $request, Comment $comment)
    {
        $validated = $request->validated();
        $comment->update($validated);
        $article = $comment->article->id;
        return redirect()->route('articles.show', compact('article'))->with('status', 'Комментарий обновлён');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Comment $comment)
    {
        $comment->delete();
        $article = $comment->article->id;
        return redirect()->route('articles.show', compact('article'))->with('status', 'Комментарий удалён');
    }
}

resources/views/admin/comments/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <h1>Редактирование</h1>
        <form method="post" action="{{route('admin.comments.update', compact('comment'))}}">
            @csrf
            @method('PUT')
            <textarea name="body" id="body" placeholder="Напишите ваше мнение...">{{$comment->body}}</textarea><br>
            @error('body')
            <div class="alert alert-danger">Поле для заполнения комментария обязательно и должно содержать от 10 до 200 символов</div>
            @enderror
            <input type="hidden" name="user_id" value="{{\Illuminate\Support\Facades\Auth::id()}}">
            <input type="hidden" name="article_id" value="{{$comment->article->id}}">
            <div>
                <p>Статус одобрения</p>
                <select name="is_approved_status" id="is_approved_status">
                    <option value="0">Ждёт одобрения</option>
                    <option value="1">Одобрен</option>
                </select>
            </div>
            <button>Отправить</button>
        </form>
    </div>
@endsection

resources/views/admin/comments/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <h1>Раздел комменариев</h1>
        <a class="btn btn-warning" href="{{route('admin.home')}}">Раздел статей</a>
        <table>
            <thead>
            <tr>
                <td>
                    Автор комментария
                </td>
                <td>
                    Действия
                </td>
                <td>
                    Статус одобрения
                </td>
            </tr>
            </thead>
            <tbody>
            @foreach($comments as $comment)
                <tr>
                    <td>
                        {{$comment->user->name}}
                    </td>
                    <td>
                        <a class="btn btn-success" href="{{route('admin.comments.edit', compact('comment'))}}">
                            Редактировать
                        </a>
                        <form method="post" action="{{route('admin.comments.destroy', compact('comment'))}}">
                            @csrf
                            @method('DELETE')
                            <button class="btn btn-danger">Удалить</button>
                        </form>
                    </td>
                    <td>
                        @if($comment->is_approved_status == null)
                            Ждёт одобрения
                        @else
                            Ододбрен
                        @endif
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        <div class="justify-content-md-center p-5">
            <div class="col-md-auto">
                {{ $comments->links()}}
            </div>
        </div>
    </div>
@endsection